Skip to main content
GET
/
invoices
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.invoices.list({});

  console.log(result);
}

run();
{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "<string>",
      "status": "open",
      "number": "<string>",
      "description": "<string>",
      "customer_name": "<string>",
      "email_address": "<string>",
      "due_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "amount": 123,
      "currency": "<string>",
      "paid_at": "<string>",
      "price_variant": "<string>",
      "customer": "<string>",
      "order": "<string>"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

status
enum<string>

Filter by invoice status

Available options:
open,
paid,
past_due,
void
customer
string

Filter by customer ID

expand
string

Comma-separated relations to expand: customer, price_variant, order

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

List of invoices

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required